function [ dotS] = bookshelf( t, S, bs, input )
%BOOKSHELF   model of bookshelf rig with bilinear stiffness on top floor
%t=time

%S(1)=floor 1 displacement
%S(2)=floor 2 displacement
%S(3)=floor 3 displacement

%S(4)=floor 1 velocity
%S(5)=floor 2 velocity
%S(6)=floor 3 velocity
%bs are parameters, 

%amp=input(1);
%freq=input(2);
%kc=bs(10);
%d1=bs(11);

dotS(1:3)=S(4:6);  %velocities


d=bs(11);


%accelerations
if S(3)-S(2)<d
    dotS(4)=( input +  bs(4)*(-S(1))  +   bs(7)*(-S(4))  -bs(5)*(S(1)-S(2))  -  bs(8)*(S(4)-S(5))   )/bs(1);
    dotS(5)=(  bs(5)*(S(1)-S(2))  +   bs(8)*(S(4)-S(5))  -         bs(6)*(S(2)-S(3))              -  bs(9)*(S(5)-S(6))  )/bs(2);
    dotS(6)=(   bs(6)*(S(2)-S(3))        + bs(9)*(S(5)-S(6)))/bs(3);
else
    dotS(4)=( input +  bs(4)*(-S(1))  +   bs(7)*(-S(4))  -bs(5)*(S(1)-S(2))  -  bs(8)*(S(4)-S(5))   )/bs(1);
    dotS(5)=(  bs(5)*(S(1)-S(2))  +   bs(8)*(S(4)-S(5))  -      bs(6)*(S(2)-S(3))    -      (S(2)-S(3)+d)*bs(10)       -  bs(9)*(S(5)-S(6))  )/bs(2);
    dotS(6)=(      bs(6)*(S(2)-S(3))    +      (S(2)-S(3)+d)*bs(10)       + bs(9)*(S(5)-S(6)))/bs(3);

end






















