function [T,Y,A] = rk4(f,a,h,ya,n,bs,input)
%RK4 
%f is the function
%a is the start time     
%b is the end time
%ya is the state space at time a
%n is the number of rk4 iterations
%M,K,C, is vector of model parameters
%input is vector containing amplitude and frequency of sinusoid input force 

l=length(ya);
y=zeros(n,l);
acc=zeros(n,l/2);
t=zeros(n,1);
halfh = h / 2;
y(1,:) = ya;
t(1) = a;

h6 = h/6;
for i = 1 : n
    t(i+1) = t(i) + h;
    th2 = t(i) + halfh;
    
    [s1] = feval(f,t(i), y(i,:), bs, input(i));
    [s2] = feval(f,th2, y(i,:) + halfh * s1, bs, input(i));
    [s3] = feval(f,th2, y(i,:) + halfh * s2, bs, input(i));
    [s4] = feval(f,t(i+1), y(i,:) + h * s3, bs,input(i));
    y(i+1,:) = y(i,:) + (s1 + s2+s2 + s3+s3 + s4) * h6;
    aa=(s1 + s2+s2 + s3+s3 + s4)/6;
    acc(i+1,:)=aa((l/2)+1:l);
end;
Y=y;
T=t;
A=acc./(9.81);
end

